import { InfoBox } from "../components/Boxes";
import { TabButtonRow } from "../components/Buttons";
import Collapsible from "../components/Collapsible";
import { SupScrollLink } from "../components/ScrollLink";
import { H2, H4} from "../components/Headings";
import { LoremMedium, LoremShort } from "../components/Loremipsum";
import { Circle } from "../components/Shapes";
import { Complex } from "../components/Svgs";
import { ButtonRowTabs } from "../components/Tabs";
import PieChart from "../components/Graph";
import PreCyse from "../components/precyse";

import { Section, Subesction } from "../components/sections";
import { symptomdata, SymptomDatensatz } from "../data/symptom-data";
import { drugdata, DrugDatensatz } from "../data/drug-data";
import { useTabNavigation } from "../utils/TabNavigation";
import { QuizQuestion } from "../components/Quiz";

export function Description() { 
    useTabNavigation();
  return (
      <div className="row mt-4">
        <div className="col">
            <Section title="Abstract" id="Abstract">
                <p id="obenindescription" >We are proud to introduce our next-generation prime editing technology <PreCyse/> . We aim to develop an innovative gene therapy against cystic fibrosis, tackling the most common mutation F508del of the Cystic Fibrosis Transmembrane Conductance Regulator (CFTR) gene. We optimize lipid nanoparticles (LNPs) for the efficient and cell-specific delivery of our therapeutic mRNA. Current treatment strategies are limited in terms of speed, precision and effectiveness, often failing to achieve long-lasting improvements. In addition, high costs and limited accessibility of pharmaceuticals contribute to adverse prognosis of many patients. We want to develop a monthly applied which represents a cure that is more advanced and user-friendly compared to other medications due to its longer lasting time, lowering the frequency of use. </p>
            </Section>
            <Section title="Our Motivation" id="Our Motivation">
                <p>We chose to focus on CF and specifically the F508del mutation due to its prevalence and the severe impact it has on patients' lives. Additionally, our team includes members who have close friends affected by this condition, giving us a personal connection and a strong motivation to find a solution. By targeting the F508del mutation, we aim to develop a therapy that could potentially, not only benefit many CF patients and make a significant improvement in their lives, but also can serve as a template, which research groups can use to target other genetic diseases. </p>
                    <div className="row align-items-center">
                        <div className="col" >
                            </div>
                        <div className="col" >
                            <img className="img" src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                        </div>    
                    </div>
                <p>Max</p> 
            </Section>
            <Section title="Cystic Fibrosis" id="Cystic Fibrosis">
                <Subesction title="Overview" id="Cystic Fibrosis1">
                    <div className="row align-items-center">
                        <div className="col">
                            <p data-aos="zoom-y-out" >Cystic fibrosis (CF) is the most common life-limiting genetic disorder in the Caucasian population. In Europe, CF affecting about 1 in 3,000 newborns
                                <SupScrollLink label="1"/>.</p>
                            <p> It is caused by mutations in the CFTR gene, which controls ions and water movement in cells. This leads to thick mucus, clogging airways, and frequent infections. The defective CFTR protein impacts the respiratory and digestive systems, causing chronic lung infections, breathing difficulties, and malnutrition. CF's severity varies, but it reduces life quality and expectancy. There are over 1,700 CFTR mutations; the F508del mutation is most common, present in 70% of cases. It prevents proper protein folding, affecting its function. </p>
                            <Collapsible id="fanzorcas-collapsible" title="Cas vs. Fanzor">
                            <p>The mutations can be divided into six classes [9]:</p>
                            <p>Class I mutations prevent the synthesis of CFTR proteins altogether, meaning no channels are produced.</p>
                            <p>Class II mutations, which include the common F508del mutation (responsible for about 85% of cases [10]), disrupt the maturation process of the protein. As a result, the defective channels are quickly degraded by the cell.</p>
                            <p>Class III mutations, known as “gating” mutations, reduce the likelihood that the CFTR channel will open correctly, impairing its function.</p>
                            <p>Class IV, V, and VI mutations are rare. These mutations result in the production of unstable or inefficient CFTR proteins, which do not function adequately and are produced in insufficient numbers.</p>
                            </Collapsible>
                            <p><LoremMedium/></p>
                        </div>
                        <div className="row-if-small col-2 "> 
                                <Circle text="1:3000 newborns worldwide"/>
                                <Circle text="x:y newborns in Germany"/>
                                <Circle text="kosten"/>
                        </div>
                        {/* <Linear
                        xAxis={[{ data: [1, 2, 3, 5, 8, 10] }]}
                        series={[
                            {
                            data: [2, 5.5, 2, 8.5, 1.5, 5],
                            },
                        ]}
                        width={500}
                        height={300}
                        />  */}
                    </div>
                    <div className="col">
                        <img src="https://static.igem.wiki/teams/5247/charts-maps/cfper10-000.png"></img>
                    </div>

                </Subesction>
                <Subesction title="The CFTR Protein" id="Cystic Fibrosis2">
                    <div className="row align-items-center">
                    <figure>
                        <div className="row">
                        <div className="col">
                            <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                        </div> 
                        <div className="col">
                            <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                        </div>
                        </div>
                        <figcaption><b>Figure x.</b> </figcaption>
                    </figure>
                        
                        <div className="col">
                        <p>Text about CFTR <LoremMedium/></p>
                        <div className="figure-wrapper">
                            <figure>
                                <div className="col gif-wrapper">
                                    <img className="fanzor gif" src="https://static.igem.wiki/teams/5247/fanzor/cftr-wt.gif"></img>
                                </div>
                                <figcaption> <b>Figure 3.</b>Phase contrast image of HEK293T at 20x magnification</figcaption>
                            </figure>
                        </div>
                            
                        </div>
                    </div>
                </Subesction>
                <Subesction title="F508del" id="Cystic Fibrosis3">
                <p>A multitude of mutations in the CFTR gene, exceeding 1,000, are responsible for the development of cystic 
                        fibrosis. The most prevalent variant is F508del, observed in approximately 70% of affected individuals of 
                        Caucasian descent in Canada, Northern Europe, and the United States<SupScrollLink label="14"/>. It is estimated that around 90% of 
                        the European population and people of European heritage with cystic fibrosis carry at least one F508del 
                        variant <SupScrollLink label="15"/><sup>,</sup><SupScrollLink label="16"/>. Analyses have demonstrated that the F508del mutation originated in Western Europe at least 
                        5,000 years ago <SupScrollLink label="15"/>. </p>
                        <p>It is a deletion of the three nucleotides "CTT" at position 508, which removes the phenylalanine residue 
                        without causing a frameshift. This deletion leads to defects in the kinetic and thermodynamic folding 
                        of the NBD1 domain <SupScrollLink label="16"/>. However, this not only leads to misfolding of CFTR but also to defects in 
                        trafficking and premature degradation, resulting in reduced surface expression of CFTR <SupScrollLink label="17"/>. </p>     
                    <div className="row">
                        <div className="col">
                            <img src="https://static.igem.wiki/teams/5247/charts-maps/cfper10-000.png"/>
                        </div>
                        <div className="col-4">
                            <QuizQuestion name="schreibweise" front="What do the codes F508del and F508del stand for?" back="they..."/>
                        </div>
                    </div>
                   
                    
                </Subesction>
                <Subesction title="Symptoms" id="Cystic Fibrosis4">
                    <p>Since the CFTR gene is expressed in nearly all tissues of the human body, cystic fibrosis affects as a metabolic disease a wide range of vital organs.</p>
                    <Collapsible id="symptoms-collapsible" title="How the symptoms affect different parts of the body" >
                    <TabButtonRow data={symptombuttonrowdata} opentype="meditabs" closing=""/>
                    <ButtonRowTabs data={symptombuttonrowdata} cla="meditabs"/> 
                    </Collapsible>
                </Subesction>
                <Subesction title="Diagnosis" id="Cystic Fibrosis5">
                    <p>About the ways one can be diagnosed <LoremMedium/></p> 
                    <div className="row align-items-center">
                        <div className="col" >
                            <img src="https://static.igem.wiki/teams/5247/placeholders/placehilderperson.jpeg"/>
                        </div>
                        <div className="col" >
                            How newbornscreening affected the numbers.
                            <LoremMedium/>
                        </div>
                    </div>
                </Subesction>
                <Subesction title="Treatment" id="Cystic Fibrosis6">
                    <p>Cystic fibrosis therapy means inevitably a complex and customized treatment plan for each patient. It consists of a range of components. These include medication such as CFTR modulators and antibiotics as well as inhalation therapy and mucolytics, physiotherapy, nutritional therapy and sports therapy. It is therefore essential that CF patients receive treatment at a specialist centre [1].</p>
                    <Collapsible id="drugs-collapsible" title="Different types of drugs" >
                    <TabButtonRow data={medibuttonrowdata} opentype="symptabs" closing=""/>
                    <ButtonRowTabs data={medibuttonrowdata} cla="symptabs"/>
                    </Collapsible>
                    <H2 text="CF treatment with gene therapy"></H2>
                    <p>While mentioned medications have improved the quality of life for numerous CF patients, they only manage symptoms rather than cure the disease. Moreover, most of them are expensive and not world-wide accessible. Our research is focused on the development of a gene therapy that targets the underlying cause of CF by correcting the defective CFTR gene. <PreCyse/> aims to halt disease progression and reduce the treatment burden for patients.</p>
                    <img src="https://static.igem.wiki/teams/5247/charts-maps/cfper10-000.png"/> 
                </Subesction>
            </Section>
            <Section title="Approach" id="Approach">
                <Subesction title="Mechanism" id="Approach1">
                <p>To correct the mutation, we are utilizing Prime Editing technologies. Prime Editing is a genome editing technique that allows precise DNA modifications without causing double-strand breaks<SupScrollLink label="2"/>. Structurally, the Prime Editing complex consists of a Cas9 endonuclease fused to a reverse transcriptase (RT) and guided by a pegRNA, which directs the complex to the target site in the genome.  </p>
                <InfoBox title="Prime Editing" id="prime-editing">
                    <details>
                        <summary>Prime editing is a new method of gene editing based on an RNA-Protein complex. It was developed by a group of researchers revolving around Professor David Liu from Harvard University in 2019. <SupScrollLink label="9"/></summary>
                        <p>Details</p>
                        <LoremMedium/>
                    </details>
                </InfoBox> 
                <div className="row">
                    <div className="col">
                        <p>However, the Prime Editing complex is relatively large, posing challenges for therapeutic delivery<SupScrollLink label="3"/>. Additionally, Prime Editing has been shown to be relatively inefficient in terms of gene editing rates, which could limit its therapeutic utility<SupScrollLink label="4"/>. Our project aims to enhance the Prime Editing approach by miniaturizing its components. Fanzor, a recently discovered eukaryotic endonuclease, performs functions similar to Cas9, a crucial part of the Prime Editing complex, but is significantly smaller. We aim to substitute Cas9 with Fanzor. </p>
                        <p>Additionally, we plan to replace the reverse transcriptase in the Prime Editing complex with a smaller RT variant. Furthermore, MCP proteins will be added to the Prime Editing complex to increase its stability<SupScrollLink label="5"/>.  </p>
                    </div>
                    <div className="img-right img-half col"><Complex></Complex></div>
                </div>
                
                <Collapsible id="fanzorcas-collapsible" title="Cas vs. Fanzor"> child </Collapsible> 
                <p>The pegRNA is optimized via an extension by a stem loop, which stabilizes the RNA by protecting it from RNases and serves as a binding site for the MCP, which also supports the secondary RNA structure.
                     This represents a major biosafety feature in that the complex is switched off after successful DNA editing and the subsequent increased influx of chloride ions into the cell. The pegRNA is combined with an optimized sgRNA resulting in higher on-target effect. Overall, its optimization leads to a longer shelf life and an increase in the biosafety of the complex. </p>
            
                </Subesction>
                <Subesction title="Delivery" id="Approach2">
                <img className="img-left img-half spin" src="https://static.igem.wiki/teams/5247/scientific-figures/lnp.png" height={"200vw"}/>  
                    <div>
                        <p>We chose LNPs as the delivery system of our Next-Generation Prime Editing Technology. Because of their large capacity and less immunogenic side effects compared to other delivery systems like Adeno-associated Viruses (AVV)<SupScrollLink label="6"/>. Our aim is to optimize the LNP formulation to improve delivery to lung tissue via inhalation. Because of our collaborations, we are able to test and optimize different delivery systems to improve our organ specific therapeutic approach. Therefore, our LNP design focusses on stability and targeting. Stability is achieved by a polyethylene glycol (PEG) coating that protects the LNPs from degradation by the immune system<SupScrollLink label="7"/>. Moreover, we use capsaicin in combination with chitosan to improve the uptake of our construct through their mucus-adhesive properties<SupScrollLink label="8"/>. </p>
                    </div>
                    <div className="row align-items-center">
                        <div className="col">
                            Lagertemperatur der Parts <LoremShort/>
                        </div>
                        <div className="col">
                            Trocknung <LoremShort/>
                        </div> 
                    </div>
                    <br/>
                    <p>We are furthermore optimising the LNPs for pulmonary therapy and investigating delivery by nebulisation as a non-invasive method compared to systemic approaches to make the therapy more convenient for patients. For specific targeting, we are focussing on marker proteins of basal cells and ionocytes that produce particularly high levels of CFTR protein and which we want to target with appropriate antibodies<SupScrollLink label="9"/>. Our workflow includes testing our next generation Prime Editing Technology delivered by our optimized LNPs in cell culture lines but also in primary nasal epithelial cells of CF patients to evaluate our optimizations and further improvements in vitro. We can also provide the outlook on the adaptation of the delivery system enabling systemic applications as well. </p>
            
                </Subesction>
            </Section>
            <Section title="Our Vision" id="Our Vision">
                <p>We are envisioning a potential integration into a broader therapeutic framework involving customized gene editing tools for various genetic disorders, that present similar problems/difficulties to the F508del mutation, as well as other genetic diseases of different causes. This could include collaborations with pharmaceutical companies to develop new treatment modalities for genetic diseases beyond cystic fibrosis, utilizing advanced delivery systems and personalized medicine approaches. </p>
                 <H2 text="Editing Statistics"/> 
                 <PieChart /> {/* Render the PieChart component */}
            </Section>
            <Section title="References" id="References">
                <ol>
                    {/* <!-- Citation num 1--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-1">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Scotet, V.</span>,
                            <span property="schema:Name">Gutierrez, H.</span>,
                            <span property="schema:Name">Farrell, P. </span>
                        </span>
                        <span property="schema:name">Newborn Screening for CF across the Globe—Where Is It Worthwhile? </span>
                        <i property="schema:publisher" typeof="schema:Organization">Int J Neonatal Screen </i>
                        <b property="issueNumber" typeof="PublicationIssue">6</b>,
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2020">2020</time>). 
                        <a className="doi" href="https://doi.org/10.3390/ijn6010018"> doi: 10.3390/ijn6010018</a>
                    </li>

                    {/* <!-- Citation num 2--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-2">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Anzalone, A.V.</span>,
                            <span property="schema:Name">Randolph, P.B.</span>,
                            <span property="schema:Name">Davis, J.R.</span>,
                            <span property="schema:Name">Sousa, A.A.</span>,
                            <span property="schema:Name">Koblan, L.W.</span>,
                            <span property="schema:Name">Levy, J.M.</span>,
                            <span property="schema:Name">Newby, G.A.</span>,
                            <span property="schema:Name">Raguram, A.</span>,
                            <span property="schema:Name">Liu, D.R. </span>
                        </span>
                        <span property="schema:name">Search-and-replace genome editing without double-strand breaks or donor DNA. </span>
                        <i property="schema:publisher" typeof="schema:Organization">Nature </i>
                        <b property="issueNumber" typeof="PublicationIssue">574</b>,
                        <span property="schema:pageBegin"> 589</span>-<span property="schema:pageEnd">594 </span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2019">2019</time>).
                        <a className="doi" href="https://doi.org/10.1038/s41586-019-1711-4"> doi: 10.1038/s41586-019-1711-4</a>
                    </li>

                    {/* <!-- Citation num 3--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-3">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Broad Institute of MIT and Harvard. </span>
                        </span>
                        <span property="schema:name">Researchers engineer in vivo delivery system for prime editing, partially restoring vision in mice. </span>
                        <i property="schema:publisher" typeof="schema:Organization">Phys.org </i>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2024">2024</time>).
                    </li>

                    {/* <!-- Citation num 4--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-4">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Gaudelli, N.</span>,
                            <span property="schema:Name">Komor, A.</span>,
                            <span property="schema:Name">Rees, H.</span>,
                            <span property="schema:Name">Packer, M.</span>,
                            <span property="schema:Name">Badran, A.</span>,
                            <span property="schema:Name">Bryson, D.</span>,
                            <span property="schema:Name">Liu, D. </span>
                        </span>
                        <span property="schema:name">Programmable editing of a target base in genomic DNA without double-stranded DNA cleavage. </span>
                        <i property="schema:publisher" typeof="schema:Organization">Nature </i>
                        <b property="issueNumber" typeof="PublicationIssue">533</b>,
                        <span property="schema:pageBegin"> 420</span>-<span property="schema:pageEnd">424 </span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2016">2016</time>). 
                        <a className="doi" href="https://doi.org/10.1038/nature17946"> doi: 10.1038/nature17946</a>
                    </li>

                    {/* <!-- Citation num 5--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-5">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">OpenEd CUNY. </span>
                        </span>
                        <span property="schema:name">RNA Stability and the Role of RNA-Binding Proteins. </span>
                        <i property="schema:publisher" typeof="schema:Organization">OpenEd CUNY </i>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2024">2024</time>).
                    </li>

                    {/* <!-- Citation num 6--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-6">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Sahay, G.</span>,
                            <span property="schema:Name">Alakhova, D.Y.</span>,
                            <span property="schema:Name">Kabanov, A.V. </span>
                        </span>
                        <span property="schema:name">Endocytosis of nanomedicines. </span>
                        <i property="schema:publisher" typeof="schema:Organization">Journal of Controlled Release </i>
                        <b property="issueNumber" typeof="PublicationIssue">145</b>,
                        <span property="schema:pageBegin"> 182</span>-<span property="schema:pageEnd">195 </span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2010">2010</time>).
                        <a className="doi" href="https://doi.org/10.1016/j.jconrel.2010.01.036"> doi: 10.1016/j.jconrel.2010.01.036</a>
                    </li>

                    {/* <!-- Citation num 7--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-7">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Ramachandran, S.</span>,
                            <span property="schema:Name">Satapathy, S.R.</span>,
                            <span property="schema:Name">Dutta, T. </span>
                        </span>
                        <span property="schema:name">Delivery Strategies for mRNA Vaccines. </span>
                        <i property="schema:publisher" typeof="schema:Organization">Pharmaceutical Medicine </i>
                        <b property="issueNumber" typeof="PublicationIssue">36</b>,
                        <span property="schema:pageBegin"> 11</span>-<span property="schema:pageEnd">20 </span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2022">2022</time>).
                        <a className="doi" href="https://doi.org/10.1007/s40290-021-00417-5"> doi: 10.1007/s40290-021-00417-5</a>
                    </li>

                    {/* <!-- Citation num 8--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-8">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name">Bandi, S.P.</span>,
                            <span property="schema:Name">Bhatnagar, S.</span>,
                            <span property="schema:Name">Venuganti, V.V.K. </span>
                        </span>
                        <span property="schema:name">Advanced materials for drug delivery across mucosal barriers. </span>
                        <i property="schema:publisher" typeof="schema:Organization">Acta Biomaterialia </i>
                        <b property="issueNumber" typeof="PublicationIssue">119</b>,
                        <span property="schema:pageBegin"> 13</span>-<span property="schema:pageEnd">29 </span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime="2021">2021</time>).
                        <a className="doi" href="https://doi.org/10.1016/j.actbio.2020.10.031"> doi: 10.1016/j.actbio.2020.10.031</a>
                    </li>
                    {/*<!-- Citation num 9--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-9">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Anzalone, A.</span>;
                            <span property="schema:Name"> Randolph, P.</span>;
                            <span property="schema:Name"> Davis, J.</span>;
                            <span property="schema:Name"> Sousa, A.</span>;
                            <span property="schema:Name"> Koblan, L.</span>;
                            <span property="schema:Name"> Levy, J.</span>;
                            <span property="schema:Name"> Chen, P.</span>;
                            <span property="schema:Name"> Wilson, C.</span>;
                            <span property="schema:Name"> Newby, G.</span>;
                            <span property="schema:Name"> Raguram, A.</span>;
                            <span property="schema:Name"> Liu, D.</span>
                        </span>
                        <span property="schema:name">&nbsp;Search-and-replace genome editing without double-strand breaks or donor DNA. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Nature</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 576</b>,&nbsp;
                        <span property="schema:pageBegin">149–157</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2019">2019</time>).
                        <a className="doi" href="https://doi.org/10.1038/s41586-019-1711-4"> doi: 10.1038/s41586-019-1711-4</a>
                    </li>

                    {/*<!-- Citation num 10--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-10">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Doman, J.</span>;
                            <span property="schema:Name"> Pandey, S.</span>;
                            <span property="schema:Name"> Neugebauer, M.</span>;
                            <span property="schema:Name"> An, M.</span>;
                            <span property="schema:Name"> Davis, J.</span>;
                            <span property="schema:Name"> Randolph, P.</span>;
                            <span property="schema:Name"> McElroy, A.</span>;
                            <span property="schema:Name"> Gao, X.</span>;
                            <span property="schema:Name"> Raguram, A.</span>;
                            <span property="schema:Name"> Richter, M.</span>;
                            <span property="schema:Name"> Everette, K.</span>;
                            <span property="schema:Name"> Banskota, S.</span>;
                            <span property="schema:Name"> Tian, K.</span>;
                            <span property="schema:Name"> Tao, Y.</span>;
                            <span property="schema:Name"> Tolar, J.</span>;
                            <span property="schema:Name"> Osborn, M.</span>;
                            <span property="schema:Name"> Liu, D.</span>
                        </span>
                        <span property="schema:name">&nbsp;Phage-assisted evolution and protein engineering yield compact, efficient prime editors. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Cell</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 186</b>,&nbsp;
                        <span property="schema:pageBegin"> 3983</span>-<span property="schema:pageEnd">4002.e26</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2023">2023</time>).
                        <a className="doi" href="https://doi.org/10.1016/j.cell.2023.07.039"> doi: 10.1016/j.cell.2023.07.039</a>
                    </li>

                    {/*<!-- Citation num 11--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-11">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Jinek, M.</span>;
                            <span property="schema:Name"> Chylinski, K.</span>;
                            <span property="schema:Name"> Fonfara, I.</span>;
                            <span property="schema:Name"> Hauer, M.</span>;
                            <span property="schema:Name"> Doudna, J.</span>;
                            <span property="schema:Name"> Charpentier, E.</span>
                        </span>
                        <span property="schema:name">&nbsp;A programmable dual RNA-guided DNA endonuclease in adaptive bacterial immunity. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Science (New York, N.Y.)</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 337</b>,&nbsp;
                        <span property="schema:pageBegin">816–821</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2012">2012</time>).
                        <a className="doi" href="https://doi.org/10.1126/science.1225829"> doi: 10.1126/science.1225829</a>
                    </li>

                    {/*<!-- Citation num 12--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-12">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Nelson, J.</span>;
                            <span property="schema:Name"> Randolph, P.</span>;
                            <span property="schema:Name"> Shen, S.</span>;
                            <span property="schema:Name"> Everette, K.</span>;
                            <span property="schema:Name"> Chen, P.</span>;
                            <span property="schema:Name"> Anzalone, A.</span>;
                            <span property="schema:Name"> An, M.</span>;
                            <span property="schema:Name"> Newby, G.</span>;
                            <span property="schema:Name"> Chen, J.</span>;
                            <span property="schema:Name"> Hsu, A.</span>;
                            <span property="schema:Name"> Liu, D.</span>
                        </span>
                        <span property="schema:name">&nbsp;Engineered pegRNAs improve prime editing efficiency. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Nature Biotechnology</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 40</b>,&nbsp;
                        <span property="schema:pageBegin">402–410</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2022">2022</time>).
                        <a className="doi" href="https://doi.org/10.1038/s41587-021-01039-7"> doi: 10.1038/s41587-021-01039-7</a>
                    </li>

                    {/*<!-- Citation num 13--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-13">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Sousa, A.</span>;
                            <span property="schema:Name"> Hemez, C.</span>;
                            <span property="schema:Name"> Lei, L.</span>;
                            <span property="schema:Name"> Traore, S.</span>;
                            <span property="schema:Name"> Kulhankova, K.</span>;
                            <span property="schema:Name"> Newby, G.</span>;
                            <span property="schema:Name"> Doman, J.</span>;
                            <span property="schema:Name"> Oye, K.</span>;
                            <span property="schema:Name"> Pandey, S.</span>;
                            <span property="schema:Name"> Karp, P.</span>;
                            <span property="schema:Name"> McCray, P.</span>;
                            <span property="schema:Name"> Liu, D.</span>
                        </span>
                        <span property="schema:name">&nbsp;Systematic optimization of prime editing for the efficient functional correction of CFTR F508del in human airway epithelial cells. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Nature Biomedical Engineering</i>
                        <b property="issueNumber" typeof="PublicationIssue"> </b>,&;
                        <span property="schema:pageBegin">1–15</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2024">2024</time>).
                        <a className="doi" href="https://doi.org/10.1038/s41551-024-01233-3"> doi: 10.1038/s41551-024-01233-3</a>
                    </li>
                    {/*<!-- Citation num 14--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-14">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Rodrigues, R.</span>
                        </span>
                        <span property="schema:name">&nbsp;Cystic fibrosis and neonatal screening. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Cadernos de Saúde Pública</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 24</b>,&nbsp;
                        <span property="schema:pageBegin"> 475</span>-<span property="schema:pageEnd">484</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2008">2008</time>).
                        <a className="doi" href="https://doi.org/10.1590/S0102-311X2008001600002"> doi: 10.1590/S0102-311X2008001600002</a>
                    </li>

                    {/*<!-- Citation num 15--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-15">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Farrell, P.</span>
                        </span>
                        <span property="schema:name">&nbsp;The Impact of the CFTR Gene Discovery on Cystic Fibrosis Diagnosis, Counseling, and Preventive Therapy. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Genes</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 11(4)</b>,&nbsp;
                        <span property="schema:pageBegin">401</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2020">2020</time>).
                        <a className="doi" href="https://doi.org/10.3390/genes11040401"> doi: 10.3390/genes11040401</a>
                    </li>

                    {/*<!-- Citation num 16--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-16">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Lukacs, G.</span>
                        </span>
                        <span property="schema:name">&nbsp; CFTR: folding, misfolding and correcting the F508del conformational defect. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> Trends in molecular medicine</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 18(2)</b>,&nbsp;
                        <span property="schema:pageBegin"> 81</span>-<span property="schema:pageEnd">91</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2012">2012</time>).
                        <a className="doi" href="https://doi.org/10.1016/j.molmed.2011.10.003"> doi: 10.1016/j.molmed.2011.10.003</a>
                    </li>

                    {/*<!-- Citation num 17--> */}
                    <li typeof="schema:ScolarlyArticle" role="doc-biblioentry" property="schema:citation" id="desc-17">
                        <span property="schema:author" typeof="schema:Person">
                            <span property="schema:Name"> Amico, G.</span>
                        </span>
                        <span property="schema:name">&nbsp;Unravelling the Regions of Mutant F508del-CFTR More Susceptible to the Action of Four Cystic Fibrosis Correctors. </span>
                        <i property="schema:publisher" typeof="schema:Organization"> International Journal of Molecular Sciences</i>
                        <b property="issueNumber" typeof="PublicationIssue"> 20(21)</b>,&nbsp;
                        <span property="schema:pageBegin">5463</span>
                        (<time property="schema:datePublished" datatype="xsd:gYear" dateTime=" 2019">2019</time>).
                        <a className="doi" href="https://doi.org/10.3390/ijms20215463"> doi: 10.3390/ijms20215463</a>
                    </li>               
                </ol>
            </Section>


    

            


        </div>  
      </div>    
  );
}

 let medibuttonrowdata =[
    {
        node: createDrugSteckbrief(drugdata[0]), 
        buttonname: "Modulators", 
        cssname: "Med-First",
        main: true
        
    },
    {   
        node: createDrugSteckbrief(drugdata[1]),
        buttonname: "Mucolytics", 
        cssname: "Mucolytics"
    },
    {
        node: createDrugSteckbrief(drugdata[2]),
        buttonname: "Antibiotics", 
        cssname: "Antibiotics"
    },
    {
        node: createDrugSteckbrief(drugdata[3]),
        buttonname: "Enzymes", 
        cssname: "Enzymes"
    },
]



let symptombuttonrowdata = [
    {
        node: createSymptomSteckbrief(symptomdata[0]), 
        buttonname: "Pancreas", 
        cssname: "Symp-First",
        main: true
    },
    {   
        node: createSymptomSteckbrief(symptomdata[1]), 
        buttonname: "Intestines", 
        cssname: "intestines"
    },
    {
        node: createSymptomSteckbrief(symptomdata[2]), 
        buttonname: "Liver", 
        cssname: "liver"
    },
    {
        node: createSymptomSteckbrief(symptomdata[3]), 
        buttonname: "Sexual glands", 
        cssname: "Sexual glands"
    },
    {
        node: createSymptomSteckbrief(symptomdata[4]), 
        buttonname: "Lungs", 
        cssname: "lungs"
    },
    {
        node: createSymptomSteckbrief(symptomdata[5]), 
        buttonname: "Skeletal System", 
        cssname: "Skeletal System"
    },
    {
        node: createSymptomSteckbrief(symptomdata[6]), 
        buttonname: "Skin", 
        cssname: "skin"
    },
    {
        node: createSymptomSteckbrief(symptomdata[7]), 
        buttonname: "Nasal mucosa", 
        cssname: "Nasal mucosa"
    },
    {
        node: createSymptomSteckbrief(symptomdata[8]), 
        buttonname: "Brain", 
        cssname: "brain"
    },

]




function createSymptomSteckbrief(data: SymptomDatensatz){
    let examplelist = []; 
    for (let index = 0; index < data.introduction.length; index++) {
            examplelist.push(
                <li>{data.introduction[index]}</li>
            )
    
    }
    return(
        <div>
            <H4 id={`${data.name}-btn`} text={data.name}/>
            <div className="row">
                <div className="col-2">
                    <div className="symptom-img-wrapper">
                        <img src={data.picture} className="symptom-img"/>
                    </div>
                </div>
                <div className="col">
                    <ul>{examplelist}</ul>
                </div>
            </div>
            
            
        </div>
    )
}


function createDrugSteckbrief(data: DrugDatensatz){
    let examplelist = []; 
    for (let index = 0; index < data.examples.length; index++) {
        let absaetze = []
        for (let i = 0; i < data.examples[index].text.length; i++) {
            absaetze.push(
                <li>{data.examples[index].text[i]}</li>
            )
            
        }
        examplelist.push(
            <div className="drug">
                <H4 text={data.examples[index].title}/>
                <ul>{absaetze}</ul>
            </div>
        )
        
    }
    return(
        <div>
            <H4 id={`${data.name}-btn`} text={data.name}/>
            <div className="row">
                <div className="col-2">
                    <div className="symptom-img-wrapper">
                        <img src={data.picture} className="symptom-img"/>
                    </div>
                </div>
                <div className="col">
                    {data.introduction}
                </div>
            </div>
            <div className="col">
            {examplelist}
            </div>
        </div>
    )
}